<label *ngIf="noProductsVisible" class="cart-message-label">{{"NoProductsInCart" | localize}}</label>
<label *ngIf="messageFailVisible" class="cart-message-label">{{"MessageFail" | localize}}</label>
<label *ngIf="messageSuccessVisible" class="cart-message-label">{{"MessageSuccess" | localize}}</label>
<div id="cart-container" *ngIf="!noProductsVisible && !messageFailVisible && !messageSuccessVisible">
    <h3 id="cart-header">{{"Cart" | localize}}</h3>
    <div id="cart-main-container">

        <div id="cart-info-container">
            <div id="cart-product-container">
                <h4 id="cart-product-header">{{"Order" | localize}}</h4>
                <div id="cart-product-info-container">
                    <div class="cart-product-info" *ngFor="let product of products">
                        <label class="cart-product-name-label">{{product.nameEn}}</label>
                        <div class="cart-product-quantity-container">
                            <input class="quantity-input" type="number" min="0" [(ngModel)]="product.quantity" (ngModelChange)="onQuantityChanged()">
                            <label class="cart-product-name-label"> {{"QuantityShort" | localize}}</label>
                        </div>
                        <label class="cart-product-name-label">{{product.price * product.quantity}} {{"CurrencyShort" | localize}}</label>
                    </div>
                    <div id="cart-clear-container">
                        <button (click)="onClearCart()" class="defaultBtn"><span>{{"ClearCart" | localize}}</span></button>
                    </div>

                    <div id="cart-product-total-container">
                        <h4 id="cart-product-total-label">{{"ToPay" | localize}} : {{totalPrice}} {{"CurrencyShort" | localize}}</h4>
                    </div>
                </div>
            </div>

            <div id="cart-payment-container">
                <h4 id="cart-payment-header">{{"Payment" | localize}}</h4>
                <!-- <div class="cart-payment-type-item">
                    <input class="cart-payment-type-checkbox" type="checkbox" [(ngModel)]="isVisa" (ngModelChange)="onPaymentChanged('isVisa')"/>
                    <label class="cart-payment-type-label">Visa/MasterCard</label>
                </div> -->
                <div class="cart-payment-type-item">
                    <input class="cart-payment-type-checkbox" type="checkbox" [(ngModel)]="isCash" (ngModelChange)="onPaymentChanged('isCash')"/>
                    <label class="cart-payment-type-label">{{"OnReceipt" | localize}}</label>
                </div>
            </div>

            
        </div>

        <div id="cart-order-container">
            <form #contactForm="ngForm" name="contact" id="cart-order-contact-container" class="form-group">
                <h4 id="cart-order-contact-header">{{"ContactData" | localize}}</h4>

                <div class="cart-order-contact-item">
                    <label class="cart-order-contact-label">{{"Name" | localize}}</label>
                    <input name="name" class="form-control cart-order-contact-value" spellcheck="false" type="text" required [(ngModel)]="contact.name">
                </div>
                <div class="cart-order-contact-item">
                    <label class="cart-order-contact-label">{{"Surname" | localize}}</label>
                    <input name="surname" class="form-control cart-order-contact-value" spellcheck="false" type="text" required [(ngModel)]="contact.surname">
                </div>
                <div class="cart-order-contact-item">
                    <label class="cart-order-contact-label">{{"Phone" | localize}}</label>
                    <input name="phone" class="form-control cart-order-contact-value" spellcheck="false" type="text" required [(ngModel)]="contact.phone">
                </div>
                <div class="cart-order-contact-item">
                    <label class="cart-order-contact-label">{{"E-mail" | localize}}</label>
                    <input name="email" class="form-control cart-order-contact-value" spellcheck="false" type="text" required [(ngModel)]="contact.email">
                </div>
                <div class="cart-order-contact-item">
                    <label class="cart-order-contact-label">{{"Comment" | localize}}</label>
                    <input name="comment" class="form-control cart-order-contact-value" spellcheck="false" type="text" [(ngModel)]="contact.comment">
                </div>
            </form>

            <div id="cart-order-delivery-">
                <h4 id="cart-order-delivery-header">{{"Delivery" | localize}}</h4>

                <div id="cart-pickup-container">
                    <div id="cart-pickup-checkbox-container">
                        <input class="delivery-checkbox" type="checkbox" [(ngModel)]="isPickup" (ngModelChange)="onDeliveryChanged('isPickup')">
                        <label class="delivery-label">{{"Pickup" | localize}}</label>
                    </div>
                    <select *ngIf="isPickup" id="delivery-pickup-select" [(ngModel)]="selectedShopId">
                        <option *ngFor="let shop of shops" [ngValue]="shop.id">{{"name" | localize: shop}}</option>
                    </select>
                </div>

                <form #npPickupForm="ngForm" name="npPickup" id="cart-np-pickup-container" class="form-group">
                    <div id="cart-np-pickup-checkbox-container">
                        <input name="isNpPickup" class="delivery-checkbox" type="checkbox" [(ngModel)]="isNpPickup" (ngModelChange)="onDeliveryChanged('isNpPickup')">
                        <label class="delivery-label">{{"NPPickup" | localize}}</label>
                    </div>
                    <div *ngIf="isNpPickup" id="cart-np-pickup-fields-container">
                        <label class="delivery-np-pickup-label">{{"City" | localize}}</label>
                        <input name="npPickupCity" class="delivery-np-pickup-input form-control" type="text" required spellcheck="false" [(ngModel)]="npPickupCity">
                        <label class="delivery-np-pickup-label">{{"NpPickupNumber" | localize}}</label>
                        <input name="npPickupNumber" class="delivery-np-pickup-input form-control" type="text" required spellcheck="false" [(ngModel)]="npPickupNumber">
                    </div>
                </form>

                <form #npCourierForm="ngForm" name="npCourier" id="cart-np-courier-container" class="form-group">
                    <div id="cart-np-courier-checkbox-container">
                        <input name="isNpCourier" class="delivery-checkbox" type="checkbox" [(ngModel)]="isNpCourier" (ngModelChange)="onDeliveryChanged('isNpCourier')">
                        <label class="delivery-label">{{"NPCourier" | localize}}</label>
                    </div>
                    <div *ngIf="isNpCourier" id="cart-np-courier-fields-container">
                        <label class="delivery-np-courier-label">{{"City" | localize}}</label>
                        <input class="delivery-np-courier-input form-control" name="npCourierCity" type="text" required spellcheck="false" [(ngModel)]="npCourierCity">
                        <label class="delivery-np-courier-label">{{"Street" | localize}}</label>
                        <input class="delivery-np-courier-input form-control" name="npCourierStreet" type="text" required spellcheck="false" [(ngModel)]="npCourierStreet">
                        <label class="delivery-np-courier-label">{{"House" | localize}}</label>
                        <input class="delivery-np-courier-input form-control" name="npCourierHouse" type="text" required spellcheck="false" [(ngModel)]="npCourierHouse">
                        <label class="delivery-np-courier-label">{{"Flat" | localize}}</label>
                        <input class="delivery-np-courier-input form-control" name="npCourierFlat" type="text" required spellcheck="false" [(ngModel)]="npCourierFlat">
                    </div>
                </form>
            </div>

            <div id="cart-buy-container">
                <button (click)="onCreateOrder(contactForm, npPickupForm, npCourierForm)" class="defaultBtn"><span>{{"CreateOrder" | localize}}</span></button>
            </div>
        </div>

        
    </div>
</div>